### Signal

# Gtk PrintOperation::custom-widget-apply

since: 4.0

#### Declaration

    void
    custom_widget_apply (
      GtkPrintOperation* self,
      GtkWidget* widget,
      gpointer user_data
    )

#### Description [src]

Emitted right before ::begin-print if you added a custom widget in the ::create-custom-widget handler.

When you get this signal you should read the information from the custom widgets, as the widgets are not guaranteed to be around at a later time.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`widget`

  Type: `GtkWidget`

  The custom widget added in ::create-custom-widget.

  The data is owned by the caller of the function.